import 'package:flutter/material.dart';
import 'choose_sim.dart';
import 'sim_parameters.dart';

class SettingsAccountsPage extends StatelessWidget {
  const SettingsAccountsPage({super.key});

  void _navigateToAccountOption(BuildContext context, String option) {
    switch (option) {
      case 'Chose SIM card':
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => const ChooseSimPage()),
        );
        break;
      case 'SIM card parameters':
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => const SimParametersPage()),
        );
        break;
      default:
        break;
    }
  }

  @override
  Widget build(BuildContext context) {
    final accountOptions = [
      'Chose SIM card',
      'SIM card parameters',
    ];

    return Scaffold(
      backgroundColor: Colors.black,
      appBar: AppBar(
        title: const Text('Sim settings'),
      ),
      body: ListView.builder(
        itemCount: accountOptions.length,
        itemBuilder: (context, index) {
          return ListTile(
            title: Text(
              accountOptions[index],
              style: const TextStyle(color: Colors.white),
            ),
            trailing:
            const Icon(Icons.arrow_forward_ios, color: Colors.white),
            onTap: () {
              _navigateToAccountOption(context, accountOptions[index]);
            },
          );
        },
      ),
    );
  }
}
